Subject: Re: Long names for `git log -S` and `git log -G`

From: Junio C Hamano <[email-masked]>
Date: Fri, 22 Nov 2024 19:51:21 +0900

Illia Bobyr <[email-masked]> writes:

> On 11/18/24 19:52, Junio C Hamano wrote:
>>> `--pickaxe-grep` for `-G` seems like a reasonable alternative name for `-G`.
>> That is probably OK (even though "-G" is not exactly what the
>> pickaxe machinery wants to do; "--grep-in-patch" might be closer to
>> the intent).
> Imagining, that I am starting from scratch for this functionality, I think I
> would also consider "patch".  Though, as we have 4 related argument names, I
> wonder if using it as a prefix would create a more consistent UX.
>
> Something like:
>
> "--patch-grep" for "-G"
> "--patch-modifies" for "-S"

Ahh, "modifies" is a great verb.  It sounds quite logical, but "-S"
does not have to genereate a patch internally for it to work, so
"--patch-modifies" is a bit of white lie.

> "--patch-search-show-all"/"--patch-show-all" for "--pickaxe-all"
> "--patch-search-regex"/"--patch-regex" for "--pickaxe-regex"

These already have their own established long names, so it is
outside the scope of this topic, and I doubt it is worth giving
these additional aliases (as you seem to agree).